:root {
  /* ### Primary  */
  --Marine-blue: hsl(213, 96%, 18%);
  --Purplish-blue: hsl(243, 100%, 62%);
  --Pastel-blue: hsl(228, 100%, 84%);
  --Light-blue: hsl(206, 94%, 87%);
  --Strawberry-red: hsl(354, 84%, 57%);
  /* ### Neutral  */
  --Cool-gray: hsl(231, 11%, 63%);
  --Light-gray: hsl(229, 24%, 87%);
  --Magnolia: hsl(217, 100%, 97%);
  --Alabaster: hsl(231, 100%, 99%);
  --White: hsl(0, 0%, 100%);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  min-height: 100vh;
}

.wrapper {
  width: 100%;
  min-height: 100vh;
  background-color: hsl(206, 94%, 87%);
  display: flex;
  flex-direction: column;
  position: relative;
}

.left-container {
  background: url('./assets/images/bg-sidebar-mobile.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 25vh;
  display: flex;
  justify-content: center;
  position: relative;
}

.step-detail {
  display: none;
}

.steps {
  position: relative;
  top: 20px;
  margin-right: 1em;
}

.step {
  background: transparent;
  color: hsl(231, 100%, 99%);
  border: 1.5px solid hsl(231, 100%, 99%);
  font-size: 1.5rem;
  padding: .3em .7em;
  border-radius: 50%;
  font-weight: 500;
  display: flex;
  align-self: center;
}

.active-step {
  background-color: hsl(217, 100%, 97%);
  color: hsl(213, 96%, 18%);
}

/* WORKING WITH INPUT FIELD 1 */
.right-container {
  position: relative;
  width: 100%;
  height: 70vh;
  background-color: hsl(217, 100%, 97%);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.in-view {
  position: relative;
  min-height: 70vh;
}

.text-box {
  display: none;
}

.active-view,
.thank-you {
  position: relative;
  top: -20px;
  padding: 1em;
  width: 90%;
  left: 5%;
  background-color: hsl(231, 100%, 99%);
  border-radius: 7px;
  display: grid;
}


.in-view div {
  margin: .5em 0;
}

.heading {
  font-size: 1.6rem;
  font-size: bold;
  color: hsl(213, 96%, 18%);
}

.info-text {
  font-size: 1.02rem;
  font-weight: 500;
  line-height: 1.4em;
  color: hsl(231, 11%, 63%);
  margin-bottom: 1em;
}


input {
  width: 100%;
  font-size: 1rem;
  padding: .6em .0em .6em .6em;
  border-radius: 3px;
}

input::placeholder {
  font-size: .9rem;
  font-weight: 600;
  color: hsl(229, 24%, 87%)
}

label {
  font-weight: 600;
  color: hsl(213, 96%, 18%);
}

.label-err {
  display: flex;
  justify-content: space-between;
  font-size: .9rem;
  margin-bottom: .1em;
}

/* NEXT AND PREV BUTTON */
.nxt-btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  top: 0px;
  padding: .5em;
  width: 100%;
  background-color: hsl(231, 100%, 99%);
}

.prev-btn {
  background-color: transparent;
  border: none;
  font-weight: 600;
  font-size: 1rem;
  color: hsl(231, 11%, 63%);
}

.next-btn {
  background-color: hsl(213, 96%, 18%);
  padding: .7em 1em;
  color: hsl(0, 0%, 100%);
  border: none;
  border-radius: 4px;
}


/* SELECT PLAN */
.toggle-plan {
  display: none;
}

.active-toggle-plan {
  display: flex;
  flex-direction: column;
}

.plan {
  display: flex;
  align-items: center;

  padding: .3em;
  border-radius: 5px;
  background: transparent;
  border: 1px solid hsl(231, 11%, 63%);
}

.active-plan {
  background-color: hsl(206, 94%, 87%);
  border: 1px solid hsl(243, 100%, 62%);
}

.plan-icon {
  width: 2em;
  margin-right: 1em;
}

.plan-heading {
  font-size: 1.2rem;
  font-family: 600;
  color: hsl(213, 96%, 18%);
}

.plan-price {
  font-size: .9rem;
  font-weight: 500;
  color: hsl(231, 11%, 63%);
}

/* MONTHLY AND YEARLY */
.subscription-method {
  background-color: hsl(217, 100%, 97%);
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: .2em;

}

.switch {
  width: 50px;
  height: 25px;
  background-color: hsl(213, 96%, 18%);
  padding: .2em;
  border-radius: 50px;

  display: flex;
  align-items: center;
  position: relative;
}

.switch-toggle {
  height: 18px;
  width: 18px;
  background-color: hsl(0, 0%, 100%);
  border-radius: 50%;
  position: relative;
  left: 0px;
  transition: all .6s;
}

.active-toggle {
  left: 25px;
}

/* MONTH SUB */
.sub-bonus {
  margin-top: .4em;
  font-size: .9rem;
  color: hsl(213, 96%, 18%);
  font-weight: 600;
}

.add-ons {
  display: none;
}

.active-add-ons {
  display: flex;
  flex-direction: column;
}

.add-on {
  display: grid;
  grid-template-columns: 1fr 5fr 1fr;
  align-items: center;
  background-color: hsl(231, 100%, 99%);
  padding: .5em;
  border-radius: 8px;
  border: 1px solid hsl(231, 11%, 63%);
}

.add-icon {
  background: hsl(243, 100%, 62%);
  border-radius: 5px;
  padding: .4em .3em;
}

.add-auto {
  border: 1px solid hsl(213, 96%, 18%);
}

.add-on-heading {
  font-weight: bolder;
  font-size: 1rem;
  color: hsl(213, 96%, 18%);
}

.add-on-info {
  font-size: .8rem;
  color: hsl(231, 11%, 63%);
}

.add-on-price {
  color: hsl(243, 100%, 62%);
  font-size: bolder;
}

.check-box {
  height: 22px;
  width: 22px;
}

/* FINISHING UP */
.finish-up {
  background-color: hsl(217, 100%, 97%);
  padding: .5em;
  border-radius: 8px;
  color: hsl(231, 11%, 63%);
}

.finish-up div {
  margin: 1em 0;
}

.confirm-plan,
.total-amount {
  font-weight: bold;
  color: hsl(213, 96%, 18%);
}

.c-plan {
  padding-bottom: 1em;
  border-bottom: 1px solid hsl(231, 11%, 63%);
}

.confirm-add-on {
  display: none;
}

.total {
  display: grid;
  grid-template-columns: 4fr 1.6fr;
  color: hsl(231, 11%, 63%);
}

.total-mo-yr,
.total-amount {
  margin-top: 1em;
}

.total-amount {
  margin-right: 17px;
}



.confirm-plan,
.active-finish {
  display: grid;
  grid-template-columns: 4fr 1.5fr;
  grid-row-gap: 1em;
}

/* THANK YOU */
.thank-you {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  color: hsl(231, 11%, 63%);
}

.hidden {
  display: none;
}

.thanks-icon {
  width: 3.5em;
  margin: 2em 0;
}

.thanks {
  margin: 1em 0;
  line-height: 1.5em;
  font-size: 1.1rem;
}

/* Js */
.hidden {
  display: none;
}

.name-err-message,
.no-err-message,
.mail-err-message {
  font-size: .7rem;
  color: hsl(354, 84%, 57%);
  ;
}

.email-field,
.number-field,
.name-field {
  border: 1px solid hsl(229, 24%, 87%);
}

.nxt-btn a {
  text-decoration: none;
}

@media (min-width: 500px) {

  /* PERSONAL INFO */
  .active-view {
    width: 80%;
    left: 10%;
  }

  .steps {
    top: 20px;
  }

  .heading {
    font-size: 1.8rem;
  }

  .info-text {
    font-size: 1.1rem;
  }

  label {
    font-size: 1rem;
    margin-bottom: .2em;
  }

  input {
    margin-bottom: 1em;
    font-size: 1.1rem;
    padding: .7em 0 .7em .7em;
  }

  .label-err {
    font-size: 1.2rem;
  }

  .nxt-btn {
    padding: 1em;
    top: 10px;
  }

  .prev-btn,
  .next-btn {
    font-size: 1.1rem;
  }

  /* PLANS */
  .plan {
    padding: .8em;
  }

  .plan-icon {
    width: 2.5em;
  }

  .plan-heading {
    font-size: 1.2rem;
  }

  .plan-price {
    font-size: 1rem;
  }

  /* ADD ONS */
  .add-on {
    padding: .8em;
  }

  .add-on-heading {
    font-size: 1.1rem;
  }

  .add-on-info {
    font-size: .9rem;
    margin-top: .2em;
  }

  /* FINISHING UP */
  .confirm-plan,
  .actve-finish {
    font-size: 1rem;
  }

  .confirm-add-on,
  .total {
    font-size: 1rem;
  }

  /* THANK YOU */
  #thank-you h2 {
    font-size: 2rem;
  }

  .thanks {
    font-size: 1.25rem;
  }

  /* SUBSCRIPTION */
  .subscription-method {
    padding: .3em;
  }

  .subscription-method span {
    font-size: 1.2rem;
  }
}

@media (min-width: 600px) {
  .active-view {
    width: 80%;
  }

  .steps {
    top: 20px;
  }
}

@media (min-width: 700px) {
  .active-view {
    width: 75%;
    left: 13%;
  }
}

@media (min-width: 900px) {
  .wrapper {
    flex-direction: row;
    background-color: hsl(231, 100%, 99%);
    padding: .5em;
    justify-content: space-between;
  }

  .left-container {
    background: url('./assets/images/bg-sidebar-desktop.svg');
    height: 100vh;
    width: 35%;
    background-position: center;
    background-size: cover;
    border-radius: .5em;
    flex-direction: column;
    justify-content: flex-start;
  }

  .right-container {
    height: 100vh;
    background-color: hsl(231, 100%, 99%);
  }

  .text-box {
    top: 0;
  }

  .nxt-btn {
    top: 0px;
    left: 80px;
    width: 76%;

  }

  .info-text {
    font-size: 1rem;
  }

  label {
    font-size: 1rem;
  }

  input {
    font-size: 1rem;
    margin-bottom: .5em;
  }

  .step-detail {
    display: grid;
    margin-left: 1.5em;
  }

  .step {
    padding: 5px 12px;
  }

  .steps {
    display: flex;
    color: hsl(231, 100%, 99%);
    margin: 1em 0 .5em 2em;
  }

  .step-no {
    font-size: .8rem;
    color: hsl(229, 24%, 87%)
  }

  .step-label {
    font-size: 1rem;
    font-weight: 600;
  }

  /* PLANS */
  .active-view {
    justify-content: space-between;
  }

  .active-toggle-plan {
    flex-direction: row;
    justify-content: space-between;
  }

  .plan {
    flex-direction: column;
    padding: .5em 3em .5em .5em;
  }

  .plan-icon {
    margin-bottom: 1.7em;
  }

  .plan-heading {
    font-size: 1rem;
    font-weight: bold;
  }

  .select-plan {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .sub-bonus {
    font-size: .7rem;
  }

  /* ADD ONS */
  .add-on {
    padding: .6em;
  }

  /* THANK YOU */
  .thank-you {
    top: 10%;
    left: 20%;
    width: 50%;
  }

}

@media (min-width: 1024px) {
  .text-box {
    width: 68%;
  }

  .left-container {
    width: 40%;
  }

  .nxt-btn {
    width: 72%;
  }
}

@media (min-width: 1200px) {
  body {
    background-color: hsl(206, 94%, 87%);
  }
}